# Generated manifest.yml based on template version 0.1.0
# appName = demo-api
# language=java
# multitenancy=false
---
applications:
# -----------------------------------------------------------------------------------
# Backend Service
# -----------------------------------------------------------------------------------
- name: demo-api-srv
  random-route: true  # for development only
  path: srv/target/demo-api-exec.jar
  memory: 1G
  disk_quota: 512M
  env:
    SPRING_PROFILES_ACTIVE: cloud
    JBP_CONFIG_COMPONENTS: 'jres: ["com.sap.xs.java.buildpack.jdk.SAPMachineJDK"]'
    JBP_CONFIG_SAP_MACHINE_JRE: '{ jre: { version: 11.+ } }'
  buildpack: java_buildpack


